Docs
Search docs...⌘K

Best pages by internal links

GET/v3/site-explorer/pages-by-internal-links

Formerly /best-by-internal-links

Query parameters

timeoutinteger

A manual timeout duration in seconds.

limitinteger

The number of results to return.

Default:1000
order_bystring

A column to order results by. See the response schema for valid column identifiers, except for http_code_target, languages_target, last_visited_target, powered_by_target, target_redirect, title_target, url_rating_target, which are not supported in order_by for this endpoint.

wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

anchor: The clickable words in a link that point to a URL.
type: string

canonical_to_target: The number of inbound canonical links to your target page.
type: integer

dofollow_to_target: The number of links to your target page that don’t have the “nofollow” attribute.
type: integer

domain_rating_source: The strength of the referring domain's backlink profile compared to the others in our database on a 100-point scale.
type: float

first_seen_link: The date we first found a link to your target.
type: datetime

http_code_source: The return code from HTTP protocol returned during the referring page crawl.
type: integer

http_code_target: The return code from HTTP protocol returned during the target page crawl.
type: integer nullable

is_content: The link was found in the biggest piece of content on the page.
type: boolean

is_dofollow: The link has no special nofollow attribute.
type: boolean

is_homepage_link: The link was found on the homepage of a referring website.
type: boolean

is_nofollow: The link or the referring page has the nofollow attribute set.
type: boolean

is_non_html: The link points to a URL with non-HTML content.
type: boolean

is_root_source: The referring domain name is a root domain name.
type: boolean

is_sponsored: The link has the Sponsored attribute set in the referring page HTML.
type: boolean

is_ugc: The link has the User Generated Content attribute set in the referring page HTML.
type: boolean

languages_source: The languages listed in the referring page metadata or detected by the crawler to appear in the HTML.
type: array(string)

languages_target: The languages listed in the target page metadata or detected by the crawler to appear in the HTML.
type: array(string)

last_seen: The date your target page lost its last live link.
type: datetime nullable

last_visited_source: The date we last verified a live link to your target page.
type: datetime

last_visited_target: The date we last crawled your target page.
type: datetime nullable

len_url_redirect: The number of redirect chain URLs.
type: integer

link_type: The kind of the backlink.
type: string
enum: "redirect" "frame" "text" "form" "canonical" "alternate" "rss" "image"

linked_domains_source: The number of unique root domains linked from the referring page.
type: integer

links_external_source: The number of external links from the referring page.
type: integer

links_to_target: The number of inbound backlinks the target page has.
type: integer

nofollow_to_target: The number of links to your target page that have the “nofollow” attribute.
type: integer

positions_source: The number of keywords that the referring page ranks for in the top 100 positions.
type: integer

positions_source_domain: The number of keywords that the referring domain ranks for in the top 100 positions.
type: integer

powered_by_source: Web technologies used to build and serve the referring page content.
type: array(string)

powered_by_target: Web technologies used to build and serve the target page content.
type: array(string)

redirects_to_target: The number of inbound redirects to your target page.
type: integer

refdomains_source (5 units): The number of unique referring domains linking to the referring page.
type: integer

root_name_source: The root domain name of the referring domain, not including subdomains.
type: string

snippet_left: The snippet of text appearing just before the link.
type: string

snippet_right: The snippet of text appearing just after the link.
type: string

source_page_author: The author of the referring page.
type: string nullable

target_redirect: The target's redirect if any.
type: string nullable

title_source: The html title of the referring page.
type: string

title_target: The html title of the target page.
type: string nullable

traffic_domain_source (10 units): The referring domain's estimated monthly organic traffic from search.
type: integer

traffic_source (10 units): The referring page's estimated monthly organic traffic from search.
type: integer

url_from_plain: The referring page URL optimized for use as a filter.
type: string

url_rating_source: The strength of the referring page's backlink profile compared to the others in our database on a 100-point scale.
type: float

url_rating_target: The strength of the target page's backlink profile compared to the others in our database on a 100-point scale.
type: float nullable

url_redirect: A redirect chain the target URL of the link points to.
type: array(url)

url_redirect_with_target: The target URL of the link with its redirect chain.
type: array(string)

url_to: The URL the backlink points to.
type: string

url_to_plain: The target page URL optimized for use as a filter.
type: string

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

protocolstring

The protocol of your target.

Allowed values:bothhttphttps
Default:both
targetstringRequired

The target of the search: a domain or a URL.

modestring

The scope of the search based on the target you entered.

Allowed values:exactprefixdomainsubdomains
Default:subdomains
outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

pagesarray
canonical_to_targetinteger

The number of inbound canonical links to your target page.

dofollow_to_targetinteger

The number of links to your target page that don’t have the “nofollow” attribute.

first_seen_linkstring

The date we first found a link to your target.

http_code_targetinteger or null

The return code from HTTP protocol returned during the target page crawl.

languages_targetarray

The languages listed in the target page metadata or detected by the crawler to appear in the HTML.

last_seenstring or null

The date your target page lost its last live link.

last_visited_sourcestring

The date we last verified a live link to your target page.

last_visited_targetstring or null

The date we last crawled your target page.

links_to_targetinteger

The number of inbound backlinks the target page has.

nofollow_to_targetinteger

The number of links to your target page that have the “nofollow” attribute.

powered_by_targetarray

Web technologies used to build and serve the target page content.

redirects_to_targetinteger

The number of inbound redirects to your target page.

target_redirectstring or null

The target's redirect if any.

title_targetstring or null

The html title of the target page.

url_rating_targetnumber or null

The strength of the target page's backlink profile compared to the others in our database on a 100-point scale.

url_tostring

The URL the backlink points to.

url_to_plainstring

The target page URL optimized for use as a filter.